This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 192597 - /lib/i686 is not owned by any package
/lib/i686 is not owned by any package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-21 12:36 EDT by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-24 12:58:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-05-21 12:36:07 EDT
Description of problem:
/lib/i686 is not owned by any package, but it should be owned by glibc as the 
glibc package is shipping it's content.

Version-Release number of selected component (if applicable):
glibc-2.4.90-7

How reproducible:
rpm -qf /lib/i686

Expected results:
Please apply the following patch (or better):

--- snipp ---
--- glibc.spec       2006-05-11 17:53:04.000000000 +0200
+++ glibc.spec.rsc   2006-05-21 18:41:27.000000000 +0200
@@ -1339,6 +1339,7 @@
 %if %{xenpackage}
 %files -f nosegneg.filelist xen
 %defattr(-,root,root)
+%dir /%{_lib}/i686
 %dir /%{_lib}/%{nosegneg_subdir}
 %endif

--- snapp ---
Comment 1 Robert Scheck 2006-05-21 16:38:16 EDT
Fscking...I didn't open up my eyes completely this afternoon:

--- snipp ---
--- glibc.spec       2006-05-11 17:53:04.000000000 +0200
+++ glibc.spec.rsc   2006-05-21 21:42:46.000000000 +0200
@@ -1313,6 +1313,7 @@
 %files -f rpm.filelist
 %defattr(-,root,root)
 %if %{buildxen} && !%{xenpackage}
+%dir /%{_lib}/i686
 %dir /%{_lib}/%{nosegneg_subdir}
 %endif
 %ifarch s390x
@@ -1339,6 +1340,7 @@
 %if %{xenpackage}
 %files -f nosegneg.filelist xen
 %defattr(-,root,root)
+%dir /%{_lib}/i686
 %dir /%{_lib}/%{nosegneg_subdir}
 %endif

--- snapp ---
Comment 2 Jakub Jelinek 2006-05-24 12:58:03 EDT
Fixed in glibc-2.4.90-10.

Note You need to log in before you can comment on or make changes to this bug.